from algorithms.graph import *


def dfs_recurse_path(g, s, t):
    for v in g.vertices:
        v.visited = False
    return reversed(path(s, t))


def path(v, t):
    if v == t:
        return [v]
    v.visited = True
    p = None
    for w in v.neighbours:
        if not w.visited:
            ans = path(w, t)
            if ans is not None:
                ans += [v]
                p = ans
    return p


ret = dfs_recurse_path(simple_graph_3, simple_graph_3.vertices[2], simple_graph_3.vertices[7])
print(f"Path : ")
for x in ret:
    print(x)
