from algorithms.graph import *
from queue import Queue


def bfs(g, s):
    for v in g.vertices:
        v.distance = float('inf')
        v.come_from = []
    toexplore = Queue()
    toexplore.put(s)
    s.distance = 0
    while not toexplore.empty():
        v = toexplore.get()
        for w in v.neighbours:
            if w.distance <= v.distance:
                continue
            w.come_from.append(v)  # w must be at dist. v.distance+1
            if w. distance == float('inf'):
                toexplore.put(w)
                w.distance = v.distance + 1


def paths_to(v):
    return [p+[v] for w in v.come_from for p in paths_to(w)] if v.come_from else [[v]]


bfs(simple_graph_3, simple_graph_3.vertices[0])
paths = paths_to(simple_graph_3.vertices[7])
for path in paths:
    print(f"Path : ")
    for x in path:
        print(x)
