class Node:

    def __init__(self, name, neighbours):
        self.name = name
        self.neighbours = neighbours

    def __str__(self):
        return f"{self.name}"


class Graph:

    def __init__(self, adj_list):
        self.vertices = [Node(i, []) for i in range(len(adj_list))]
        for i in range(len(adj_list)):
            self.vertices[i].neighbours = list(map(lambda x: self.vertices[x], adj_list[i]))


simple_graph = Graph([[1, 2, 3], [3], [], []])
simple_graph_2 = Graph([[1, 2], [], [3, 4, 5], [0], [6, 7], [], [], []])
simple_graph_3 = Graph([[1, 2], [], [3, 4, 5, 8], [0], [6, 7], [], [], [], [7]])
